Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get a project

Scope: projects:projects.read https://api.alladdin.com/api/v2/projects/{projectId}

Returns a single project by its ID.

Parameters

Path parameters

projectId string required

Project ID

Request

python
import requests

url = "https://api.alladdin.com/api/v2/projects/{projectId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "name": "string",
  "description": "string",
  "type": "string",
  "icon": "string",
  "color": "string",
  "key": "string",
  "scope": "string",
  "users": {},
  "contact_id": "string",
  "contact_name": "string",
  "start_date": "string",
  "due_date": "string",
  "tags": [
    "string"
  ],
  "archived": false,
  "status": 0,
  "number_of_tasks": 0,
  "completed_tasks": 0,
  "billable": false
}

Success responses

200 Project found application/json object id string required

Unique identifier

name string required

Project name

description string required

Project description

type string required

Project type

icon string required

Project icon

color string required

Project color

key string required

Project key

scope string required

Project scope

users object required

Project members keyed by user ID

contact_id string | null required

Contact ID

contact_name string required

Contact name

start_date string | null required

Start date, formatted according to the account's date settings

due_date string | null required

Due date, formatted according to the account's date settings

tags[] string[] required

Tags

archived boolean required

Whether the project is archived

status integer required

Project status

number_of_tasks integer required

Total number of tasks

completed_tasks integer required

Number of completed tasks

billable boolean required

Whether the project is billable

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Project not found application/json 429 Rate limit exceeded application/json

← PreviousUpdate a project →

Next →Get a project summary →